﻿Index = function ($) {
    var _people;

    var init = function () {
        var _people = createRandomData(500);

        $("#people").scrollableTable({
            height: 400,
            columns: [
                { title: "First Name", field: "FirstName", width: 100 },
                { title: "Last Name", field: "LastName", width: 100 },
                { title: "City", field: "City", width: 100 },
                { title: "Title", field: "Title", width: 200 },
                { title: "Birth Date", field: "BirthDate", isDate: true, width: 200 },
                { title: "Age", field: "Age", width: 100 }
            ],
            data: _people
        });

        $("#applyFilter").on("click", function () {
            $("#people").data("scrollableTable").applyFilter({
                field: "FirstName",
                exp: new RegExp("^M")
            });
        });

        $("#removeFilter").on("click", function () {
            $("#people").data("scrollableTable").removeFilter();
        });
    };

    return {
        init: init
    };
}(jQuery);

$(function () {
    Index.init();
});